org.apache.xalan.transformer

## Class ClonerToResultTree

- java.lang.Object
- - org.apache.xalan.transformer.ClonerToResultTree

    public class ClonerToResultTree
    extends java.lang.Object

Class used to clone a node, possibly including its children to a result tree.

Usage:
  **For internal use only**

### Constructor Summary

Constructors
Constructor and Description
`ClonerToResultTree()`

### Method Summary

Methods
`static void` `cloneToResultTree(int node, int nodeType, DTM dtm, SerializationHandler rth, boolean shouldCloneAttributes)` Clone an element with or without children.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClonerToResultTree

    public ClonerToResultTree()

### Method Detail

#### cloneToResultTree

    public static void cloneToResultTree(int node,
                         int nodeType,
                         DTM dtm,
                         SerializationHandler rth,
                         boolean shouldCloneAttributes)
                                  throws TransformerException

Clone an element with or without children. TODO: Fix or figure out node clone failure! the error condition is severe enough to halt processing.

Parameters:
  `node` - The node to clone
  `shouldCloneAttributes` - Flag indicating whether to clone children attributes
Throws:
  `TransformerException`